package com.lightinit.hsdatashow.service.ms;

import com.lightinit.hsdatashow.entity.BaseExample;
import com.lightinit.hsdatashow.entity.DependencyRatio;
import com.lightinit.hsdatashow.model.ResultState;

import java.util.List;

public interface IMSDependencyRatioService {

    List<DependencyRatio> queryList(BaseExample.Page pager);

    long queryCount(BaseExample.Page pager);

    ResultState<Long> delete(long id);

    ResultState add(DependencyRatio inputModel);

    DependencyRatio edit(long id);

    ResultState doEdit(DependencyRatio inputModel);
}
